Debian Bug report logs - #648775
transition: mono 2.10

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Iain Lane <laney@debian.org>

Date: Mon, 14 Nov 2011 22:45:11 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, laney@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Mon, 14 Nov 2011 22:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
New Bug report received and forwarded. Copy sent to laney@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 14 Nov 2011 22:45:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: mono 2.10
Date: Mon, 14 Nov 2011 22:42:42 +0000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear Release Team,

[ re-filing as a bug per jcristau ]

We'd like to start the Mono transition[0,0.5] soon.

The packages have been aged in experimental for some time now, and this
transition has also taken place in Another Place with no notable
badness.

Following the RT's request for a dry run (Model 3 in [0.5]), Julian
Taylor did a test rebuild[1] of all rdepends and to the best of our
knowledge we have resolved the outstanding issues so that all that
should be required are no-change rebuilds or uploads from experimental
to unstable, as well as one removal of a package not yet ported
(dlr-languages).

Roughly, the plan will be

  * Upload all of mono & cli-common from experimental to unstable
  * Upload build tools (nant)
  * Remove mono-debugger
  * Get LO bindings disabled
  * No-change rebuild / binNMU all applications against the 4.0
    profile
  * No-change rebuild / binNMU all libraries against the 4.0 profile, in
    leaf-first order 
    
The reason for this ordering is because 4.0 executables can load 2.0
libraries but not vice-versa. A great deal of packages are pure managed
code, so arch:all and will therefore require sourceful uploads.

You can see the results of our testing at [2].

Please let us know when we can go ahead.

Cheers,
on behalf of the Debian Mono Group,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]

[0] http://release.debian.org/transitions/html/mono.html
[0.5] http://wiki.debian.org/Teams/DebianMonoGroup/Mono210Transition
[1] http://alioth.debian.org/~jtaylor-guest/logs/
[2] http://wiki.debian.org/Teams/DebianMonoGroup/Mono210TransitionTODO




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Tue, 20 Dec 2011 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Dec 2011 22:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 648775@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Iain Lane <laney@debian.org>, 648775@bugs.debian.org
Subject: Re: Bug#648775: transition: mono 2.10
Date: Tue, 20 Dec 2011 22:58:50 +0100
block 648775 by 649339
thanks

On 2011-11-14 23:42, Iain Lane wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Dear Release Team,
> 
> [ re-filing as a bug per jcristau ]
> 
> We'd like to start the Mono transition[0,0.5] soon.
> 

Hi,

Sorry for the delay in getting back to you.  As far as I can tell, the
mono transition shares packages with the vtk8.5 transition, but we will
let you know when we can stat this.

If you haven't already done so, please head to [1] (or [2]) to verify
the list of affected source packages.


> The packages have been aged in experimental for some time now, and this
> transition has also taken place in Another Place with no notable
> badness.
> 

Sounds good.  :)

> Following the RT's request for a dry run (Model 3 in [0.5]), Julian
> Taylor did a test rebuild[1] of all rdepends and to the best of our
> knowledge we have resolved the outstanding issues so that all that
> should be required are no-change rebuilds or uploads from experimental
> to unstable, as well as one removal of a package not yet ported
> (dlr-languages).
> 
> Roughly, the plan will be
> 
>   * Upload all of mono & cli-common from experimental to unstable
>   * Upload build tools (nant)
>   * Remove mono-debugger
>   * Get LO bindings disabled
>   * No-change rebuild / binNMU all applications against the 4.0
>     profile
>   * No-change rebuild / binNMU all libraries against the 4.0 profile, in
>     leaf-first order 
> 

Do you have a list/table of the ~30 binNMUable packages that tells us
which of them are libs and which are not?  Alternatively can we just go
by "dependency level" from the transition tracker package (starting with
the bottom/level 10)?

> The reason for this ordering is because 4.0 executables can load 2.0
> libraries but not vice-versa. A great deal of packages are pure managed
> code, so arch:all and will therefore require sourceful uploads.
> 
> You can see the results of our testing at [2].
> 
> Please let us know when we can go ahead.
> 
> Cheers,
> on behalf of the Debian Mono Group,
> 

~Niels

[1] http://release.debian.org/transitions/html/mono.html

[2] http://release.debian.org/transitions/export/packages.yaml





Added blocking bug(s) of 648775: 649339 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 20 Dec 2011 22:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Thu, 22 Dec 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Dec 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 648775@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 648775@bugs.debian.org
Subject: Re: Bug#648775: transition: mono 2.10
Date: Thu, 22 Dec 2011 22:27:41 +0000
[Message part 1 (text/plain, inline)]
Hi there,

On Tue, Dec 20, 2011 at 10:58:50PM +0100, Niels Thykier wrote:
> […]
> If you haven't already done so, please head to [1] (or [2]) to verify
> the list of affected source packages.

I think that's right.

> > […]
> >   * Upload all of mono & cli-common from experimental to unstable
> >   * Upload build tools (nant)
> >   * Remove mono-debugger
> >   * Get LO bindings disabled
> >   * No-change rebuild / binNMU all applications against the 4.0
> >     profile
> >   * No-change rebuild / binNMU all libraries against the 4.0 profile, in
> >     leaf-first order 
> > 
> 
> Do you have a list/table of the ~30 binNMUable packages that tells us
> which of them are libs and which are not?  Alternatively can we just go
> by "dependency level" from the transition tracker package (starting with
> the bottom/level 10)?

No, but here is one:

libraries
---------
libindicate
libgwibber
gstreamer-sharp
gdata-sharp
gnome-desktop-sharp2
libgpod (U)
gnome-sharp2
gnome-keyring-sharp
gmime2.4
activiz.net (U)
zeroc-ice
libkarma (U)
gtk-sharp2
mummy (U)

plugins
-------
banshee-community-extensions

applications
------------
fsgateway
ikvm
antlr
tangerine
gnome-do
banshee
tomboy
mistelix
longomatch
gnome-subtitles
f-spot
bareftp
gdcm

There were some unclear cases, but you should be able to rebuild all
applications once mono and nant are uploaded, the plugins after their
applications are rebuilt and then finally the libraries, in leaf-first
order (with the exception below). The main thing to remember is that
once stuff has been rebuilt it will be 4.0, and 2.0 code cannot load
4.0.

As an additional complication, some libraries are packaged 'unstable',
(marked as (U) above) meaning that they are copied by their consumers at
build time. These libraries should be rebuilt /before/ their library
rdeps, otherwise you'll get 2.0 copies inside 4.0 libraries and have to
do a second rebuild. This will be unavoidable in some cases where
applications depend on unstable libraries.

We can let you know when binNMUs should be issued if you like, as we'll
be doing the no-change source uploads at the same time.

Also I just noticed that mummy FTBFS with 2.10, and filed this as
#652976. This is a new package since we prepared the transition. If not
fixed by the maintainer, I'll look at NMUing.

> […]

Cheers,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Tue, 27 Dec 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Niels Thykier" <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Dec 2011 09:48:05 GMT) Full text and rfc822 format available.

Message #22 received at 648775@bugs.debian.org (full text, mbox):

From: "Niels Thykier" <niels@thykier.net>
To: "Iain Lane" <laney@debian.org>
Cc: 648775@bugs.debian.org
Subject: Re: Re: Bug#648775: transition: mono 2.10
Date: Tue, 27 Dec 2011 10:45:13 +0100
On Dec 22, 2011 23:27 "Iain Lane" <laney@debian.org> wrote:

> Hi there,
> 
> On Tue, Dec 20, 2011 at 10:58:50PM +0100, Niels Thykier wrote:
> > […]
> > If you haven't already done so, please head to [1] (or [2]) to
> > verify
> > the list of affected source packages.
> 
> I think that's right.
> 

Good, :)

> > > […]
> > > * Upload all of mono & cli-common from experimental to unstable
> > > * Upload build tools (nant)
> > > * Remove mono-debugger
> > > * Get LO bindings disabled
> > > * No-change rebuild / binNMU all applications against the 4.0
> > > profile
> > > * No-change rebuild / binNMU all libraries against the 4.0
> > > profile, in
> > > leaf-first order
> > > 
> > 
> > Do you have a list/table of the ~30 binNMUable packages that tells
> > us
> > which of them are libs and which are not? Alternatively can we just
> > go
> > by "dependency level" from the transition tracker package (starting
> > with
> > the bottom/level 10)?
> 
> No, but here is one:
> 
> libraries
> ---------
> libindicate
> libgwibber
> gstreamer-sharp
> gdata-sharp
> gnome-desktop-sharp2
> libgpod (U)
> gnome-sharp2
> gnome-keyring-sharp
> gmime2.4
> activiz.net (U)
> zeroc-ice
> libkarma (U)
> gtk-sharp2
> mummy (U)
> 
> plugins
> -------
> banshee-community-extensions
> 
> applications
> ------------
> fsgateway
> ikvm
> antlr
> tangerine
> gnome-do
> banshee
> tomboy
> mistelix
> longomatch
> gnome-subtitles
> f-spot
> bareftp
> gdcm
> 
> There were some unclear cases, but you should be able to rebuild all
> applications once mono and nant are uploaded, the plugins after their
> applications are rebuilt and then finally the libraries, in leaf-first
> order (with the exception below). The main thing to remember is that
> once stuff has been rebuilt it will be 4.0, and 2.0 code cannot load
> 4.0.
> 
> As an additional complication, some libraries are packaged 'unstable',
> (marked as (U) above) meaning that they are copied by their consumers
> at build time. These libraries should be rebuilt /before/ their library
> rdeps, otherwise you'll get 2.0 copies inside 4.0 libraries and have
> to do a second rebuild. This will be unavoidable in some cases where
> applications depend on unstable libraries.
> 
> We can let you know when binNMUs should be issued if you like, as
> we'll be doing the no-change source uploads at the same time.
> 

I will take you up on that offer.  :)

> Also I just noticed that mummy FTBFS with 2.10, and filed this as
> #652976. This is a new package since we prepared the transition. If
> not fixed by the maintainer, I'll look at NMUing.
> 
> > […]
> 
> Cheers,
> 

We will need a couple of days more to sort out the vtk8.5 transition
and then I will get back to you.  :)


~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Sun, 15 Jan 2012 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to niels@thykier.net (Niels Thykier):
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 Jan 2012 11:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 648775@bugs.debian.org (full text, mbox):

From: niels@thykier.net (Niels Thykier)
To: Iain Lane <laney@debian.org>, 648775@bugs.debian.org
Subject: Re: Bug#648775: transition: mono 2.10
Date: Sun, 15 Jan 2012 12:03:06 +0100 (CET)
tags 648775 + pending
thanks

Hi,

The vtk5.8 transition is done, so we can start mono now.

Please start the uploads.  :)

~Niels





Added tag(s) pending. Request was from niels@thykier.net (Niels Thykier) to control@bugs.debian.org. (Sun, 15 Jan 2012 11:06:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Mon, 16 Jan 2012 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <meebey@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Jan 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #34 received at 648775@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: Niels Thykier <niels@thykier.net>, 648775@bugs.debian.org
Cc: Iain Lane <laney@debian.org>, debian-cli@lists.debian.org
Subject: Mono 2.10 Transition has started (was Re: Bug#648775: transition: mono 2.10)
Date: Mon, 16 Jan 2012 07:33:38 +0100
On 01/15/2012 12:03 PM, Niels Thykier wrote:
> Hi,
>
> The vtk5.8 transition is done, so we can start mono now.
>
> Please start the uploads.  :)

Alright, I have uploaded Mono 2.10.5-2 and cli-common 0.8 to unstable. 
This officially starts the Mono 2.10 transition in Debian [0] [1] [2].

[0] http://wiki.debian.org/Teams/DebianMonoGroup/Mono210Transition
[1] http://release.debian.org/transitions/html/mono.html
[2] http://bugs.debian.org/648775 
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648775>
--
Regards,

Mirco 'meebey' Bauer

PGP-Key ID: 0xEEF946C8

FOSS Developer    meebey@meebey.net  http://www.meebey.net/
PEAR Developer    meebey@php.net     http://pear.php.net/
Debian Developer  meebey@debian.org  http://www.debian.org/





Added blocking bug(s) of 648775: 656690 Request was from Iain Lane <iain@orangesquash.org.uk> to control@bugs.debian.org. (Fri, 20 Jan 2012 23:33:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 656761 Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Sat, 21 Jan 2012 15:21:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 656760 Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Sat, 21 Jan 2012 15:21:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 656756 Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Sat, 21 Jan 2012 15:21:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 656817, 656821, 656822, and 656818 Request was from Jo Shields <directhex@apebox.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 23:36:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 657256 Request was from Jo Shields <directhex@apebox.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 00:33:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 657258 Request was from Jo Shields <directhex@apebox.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 00:42:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 657261 Request was from Jo Shields <directhex@apebox.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 00:48:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 657598 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Fri, 27 Jan 2012 11:03:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 657779 and 657781 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 19:24:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648775: 657800 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 30 Jan 2012 09:46:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648775; Package release.debian.org. (Mon, 30 Jan 2012 13:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Jan 2012 13:00:15 GMT) Full text and rfc822 format available.

Message #61 received at 648775@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mirco Bauer <meebey@debian.org>, <648775@bugs.debian.org>
Cc: Niels Thykier <niels@thykier.net>, Iain Lane <laney@debian.org>, <debian-cli@lists.debian.org>
Subject: Re: Bug#648775: Mono 2.10 Transition has started (was Re: Bug#648775: transition: mono 2.10)
Date: Mon, 30 Jan 2012 12:57:30 +0000
On 16.01.2012 06:33, Mirco Bauer wrote:
> On 01/15/2012 12:03 PM, Niels Thykier wrote:
>> Hi,
>>
>> The vtk5.8 transition is done, so we can start mono now.
>>
>> Please start the uploads.  :)
>
> Alright, I have uploaded Mono 2.10.5-2 and cli-common 0.8 to
> unstable. This officially starts the Mono 2.10 transition in Debian

I mentioned most of the below on #debian-release over the weekend, but 
thought it might be easier to document it in the transition bug as well. 
From a base of this morning's britney result, with a bunch of urgents 
and a force-hint applied, the end result of attempting to get the 
transition done now appears to be that the following packages have 
issues:

* i386:
  - monodevelop-boo
    - RM requested; #657792
* mips{,el}:
  - libapache2-mod-mono
    - no mono on these architectures; #657800
* s390:
  - banshee-extension-lastfmfingerprint, banshee-extension-lirc, 
banshee-extension-mirage
    - banshee-community-extensions needs s390 removal
  - gtk-sharp2-gapi, libglade2.0-cil, libglade2.0-cil-dev, 
libglib2.0-cil, libglib2.0-cil-dev, libgtk2.0-cil, libgtk2.0-cil-dev
    - gtk-sharp2 needs s390 removal; #657738
  - libactiviz.net-cil
    - activiz.net 1:1.0~git20111123-3 needs to migrate, but is FTBFS on 
armel and kfreebsd-i386
  - libapache2-mod-mono
    - mod-mono probably shouldn't build here; see #657800
  - libgdcm-cil, libvtkgdcm-cil
    - gdcm needs to stop trying to build the CIL packages on s390; 
#657779
  - libgnome2.0-cil-dev, libgnome2.24-cil
    - gnome-sharp2 needs s390 removal
  - libgtkhtml3.14-cil-dev, libgtkhtml3.16-cil, 
libgtksourceview2-2.0-cil, libgtksourceview2-cil-dev, libvte0.16-cil, 
libvte0.16-cil-dev, libwnck1.0-cil-dev, libwnck2.20-cil
    - gnome-desktop-sharp2 needs s390 removal
  - libvirtuoso5.5-cil
    - virtuoso-opensource needs to stop building CIL packages on s390; 
#657781

Regards,

Adam




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Fri, 03 Feb 2012 22:15:03 GMT) Full text and rfc822 format available.

Notification sent to Iain Lane <laney@debian.org>:
Bug acknowledged by developer. (Fri, 03 Feb 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #66 received at 648775-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 648775-done@bugs.debian.org
Cc: Mirco Bauer <meebey@debian.org>, Niels Thykier <niels@thykier.net>, Iain Lane <laney@debian.org>, debian-cli@lists.debian.org
Subject: Re: Bug#648775: Mono 2.10 Transition has started (was Re: Bug#648775: transition: mono 2.10)
Date: Fri, 03 Feb 2012 22:11:32 +0000
On Mon, 2012-01-30 at 12:57 +0000, Adam D. Barratt wrote:
> On 16.01.2012 06:33, Mirco Bauer wrote:
> > Alright, I have uploaded Mono 2.10.5-2 and cli-common 0.8 to
> > unstable. This officially starts the Mono 2.10 transition in Debian
> 
> I mentioned most of the below on #debian-release over the weekend, but 
> thought it might be easier to document it in the transition bug as well. 
>  From a base of this morning's britney result, with a bunch of urgents 
> and a force-hint applied, the end result of attempting to get the 
> transition done now appears to be that the following packages have 
> issues:
[...]
> * s390:
>    - libvirtuoso5.5-cil
>      - virtuoso-opensource needs to stop building CIL packages on s390; 
> #657781

Jo's NMU for this is still pending, so this is indeed broken for a short
time.  In the meantime:

      mono |   2.10.5-2 |       testing | source

I think we can call this done, and let the slides be basically
truthful. ;-)

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Mar 2012 07:40:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:22:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.